protolabs42

Create an API key

Create a new API key for an identity.

POST
/admin/api-keys

Create a new API key for an identity.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://chorus.runclaw.run/admin/api-keys" \  -H "Content-Type: application/json" \  -d '{    "owner": "string"  }'
{
  "data": {
    "api_key": "string",
    "id": "string"
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}